<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 *
 * @copyright   Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$columns = $params->get('header_class');
$columns != "" ?: $columns = 4;
$article_count = $params->get('count');

$css_p = 100/$columns;

?>


<style>
	.block-articles-content {		
		display: grid;
		grid-template-columns: repeat(auto-fill, minmax(<?=$css_p?>rem, 1fr));
		grid-gap: 1rem;
		margin-bottom: 20px;		
	}

	.block-item {
		overflow: hidden;
		margin-bottom: 20px;
		position: relative;
	}

	.block-image figure{
		position: relative;
	}

	.block-image img {
		width: 100%;
		height: 180px;
		object-fit: cover;
	}

	.block-description {
		font-size: 1rem;
		margin-top: 1rem;
	}

	.block-description .mod-articles-category-category a {
		position: absolute;
		top: 0px;
		right: 0;
		color: #fff;
		background-color: #708F7F;
		padding: 4px;
	}

	.block-description .mod-articles-category-title {
		font-size: 2rem;
	}

	.block-description .mod-articles-category-writtenby, 
	.block-description .mod-articles-category-date {
		color: #99A1A5;
		font-size: 1.2rem;
		font-style: italic;
	}

	.block-description .mod-articles-category-readmore{
		font-size: 1rem;
	}

	.block-description .block-info {
		margin: 10px 10px 10px 0;
	}

	.block-description .mod-articles-category-introtext {
		font-size: 1.2rem;
	}

	.block-image figcaption {		
		position: absolute;
		left: 0;
		bottom: 0;
		background-color: rgba(0,0,0,0.5);
		width: 100%;
		color: #fff;
		font-size: 1rem;		
		font-style: italic;
		font-weight: normal;
		padding: 4px;
	}
</style>

<div class="category-module<?php echo $moduleclass_sfx; ?> block-articles-content">
	<?php if ($grouped) : ?>
		<?php foreach ($list as $group_name => $group) : ?>
		<li>
			<div class="mod-articles-category-group"><?php echo JText::_($group_name); ?></div>
			<ul>
				<?php foreach ($group as $item) : ?>
					<li>
						<?php if ($params->get('link_titles') == 1) : ?>
							<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
								<?php echo $item->title; ?>
							</a>
						<?php else : ?>
							<?php echo $item->title; ?>
						<?php endif; ?>

						<?php if ($item->displayHits) : ?>
							<span class="mod-articles-category-hits">
								(<?php echo $item->displayHits; ?>)
							</span>
						<?php endif; ?>

						<?php if ($params->get('show_author')) : ?>
							<span class="mod-articles-category-writtenby">
								<?php echo $item->displayAuthorName; ?>
							</span>
						<?php endif; ?>

						<?php if ($item->displayCategoryTitle) : ?>
							<span class="mod-articles-category-category">
								<?php echo $item->displayCategoryTitle; ?>
							</span>
						<?php endif; ?>

						<?php if ($item->displayDate) : ?>
							<span class="mod-articles-category-date"><?php echo $item->displayDate; ?></span>
						<?php endif; ?>

						<?php if ($params->get('show_tags', 0) && $item->tags->itemTags) : ?>
							<div class="mod-articles-category-tags">
								<?php echo JLayoutHelper::render('joomla.content.tags', $item->tags->itemTags); ?>
							</div>
						<?php endif; ?>

						<?php if ($params->get('show_introtext')) : ?>
							<p class="mod-articles-category-introtext">
								<?php echo $item->displayIntrotext; ?>
							</p>
						<?php endif; ?>

						<?php if ($params->get('show_readmore')) : ?>
							<p class="mod-articles-category-readmore">
								<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
									<?php if ($item->params->get('access-view') == false) : ?>
										<?php echo JText::_('MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE'); ?>
									<?php elseif ($readmore = $item->alternative_readmore) : ?>
										<?php echo $readmore; ?>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
											<?php if ($params->get('show_readmore_title', 0) != 0) : ?>
												<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
											<?php endif; ?>
									<?php elseif ($params->get('show_readmore_title', 0) == 0) : ?>
										<?php echo JText::sprintf('MOD_ARTICLES_CATEGORY_READ_MORE_TITLE'); ?>
									<?php else : ?>
										<?php echo JText::_('MOD_ARTICLES_CATEGORY_READ_MORE'); ?>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
									<?php endif; ?>
								</a>
							</p>
						<?php endif; ?>
					</li>
				<?php endforeach; ?>
			</ul>
		</li>
		<?php endforeach; ?>
	<?php else : ?>

		<?php foreach ($list as $item) : ?>
				<div class="block-item">
					<div class="block-image">

					<?php 		
						$image = json_decode($item->images); 
						// stdClass Object ( [image_intro] => [float_intro] => [image_intro_alt] => [image_intro_caption] => [image_fulltext] => [float_fulltext] => [image_fulltext_alt] => [image_fulltext_caption] => )			
					?>	
							
							<figure>
								<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
									<img src="<?=$image->image_intro?>" alt="<?=$image->image_intro_alt?>">
									<figcaption><?=$image->image_intro_caption?></figcaption>
								</a>
							</figure>

					</div>


					<div class="block-description">
						<?php if ($params->get('link_titles') == 1) : ?>
							<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
						<?php else : ?>
							<?php echo $item->title; ?>
						<?php endif; ?>

						
						<?php if ($item->displayHits) : ?>
							<span class="mod-articles-category-hits">
								<?php echo $item->displayHits; ?> | 
							</span>
						<?php endif; ?>
						
						<div class="block-info">						
							<?php if ($params->get('show_author')) : ?>
								<span class="mod-articles-category-writtenby">
									<?php echo $item->displayAuthorName; ?>
								</span> 
							<?php endif; ?>

							<?php if ($item->displayCategoryTitle) : ?>
								<span class="mod-articles-category-category">
									<?php echo $item->displayCategoryTitle; ?>
								</span>
							<?php endif; ?>

							<?php if ($item->displayDate) : ?>
								<span class="mod-articles-category-date">
									<?php echo $item->displayDate; ?>
								</span>
							<?php endif; ?>
						</div>

						<?php if ($params->get('show_tags', 0) && $item->tags->itemTags) : ?>
							<div class="mod-articles-category-tags">
								<?php echo JLayoutHelper::render('joomla.content.tags', $item->tags->itemTags); ?>
							</div>
						<?php endif; ?>

						<?php if ($params->get('show_introtext')) : ?>
							<p class="mod-articles-category-introtext">
								<?php echo $item->displayIntrotext; ?>
							</p>
						<?php endif; ?>

						<?php if ($params->get('show_readmore')) : ?>
							<p class="mod-articles-category-readmore">
								<a class="<?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
									<?php if ($item->params->get('access-view') == false) : ?>
										<?php echo JText::_('MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE'); ?>
									<?php elseif ($readmore = $item->alternative_readmore) : ?>
										<?php echo $readmore; ?>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
									<?php elseif ($params->get('show_readmore_title', 0) == 0) : ?>
										<?php echo JText::sprintf('MOD_ARTICLES_CATEGORY_READ_MORE_TITLE'); ?>
									<?php else : ?>
										<?php echo JText::_('MOD_ARTICLES_CATEGORY_READ_MORE'); ?>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
									<?php endif; ?>
								</a>
							</p>
						<?php endif; ?>
					</div>
				</div>				
		<?php endforeach; ?>
	<?php endif; ?>
</div>
