<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

?>



<div class="mod-category article-mosaic <?php echo $moduleclass_sfx; ?>">
	<?php if ($grouped) : ?>
		<?php foreach ($list as $group_name => $group) : ?>
		<li>
			<div class="mod-articles-category-group"><?php echo JText::_($group_name); ?></div>
			<ul>
				<?php foreach ($group as $item) : ?>
					<li>
						<?php if ($params->get('link_titles') == 1) : ?>
							<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
								<?php echo $item->title; ?>
							</a>
						<?php else : ?>
							<?php echo $item->title; ?>
						<?php endif; ?>

						<?php if ($item->displayHits) : ?>
							<span class="mod-articles-category-hits">
								(<?php echo $item->displayHits; ?>)
							</span>
						<?php endif; ?>

						<?php if ($params->get('show_author')) : ?>
							<span class="mod-articles-category-writtenby">
								<?php echo $item->displayAuthorName; ?>
							</span>
						<?php endif; ?>

						<?php if ($item->displayCategoryTitle) : ?>
							<span class="mod-articles-category-category">
								(<?php echo $item->displayCategoryTitle; ?>)
							</span>
						<?php endif; ?>

						<?php if ($item->displayDate) : ?>
							<span class="mod-articles-category-date"><?php echo $item->displayDate; ?></span>
						<?php endif; ?>

						<?php if ($params->get('show_tags', 0) && $item->tags->itemTags) : ?>
							<div class="mod-articles-category-tags">
								<?php echo JLayoutHelper::render('joomla.content.tags', $item->tags->itemTags); ?>
							</div>
						<?php endif; ?>

						<?php if ($params->get('show_introtext')) : ?>
							<p class="mod-articles-category-introtext">
								<?php echo $item->displayIntrotext; ?>
							</p>
						<?php endif; ?>

						<?php if ($params->get('show_readmore')) : ?>
							<p class="mod-articles-category-readmore">
								<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
									<?php if ($item->params->get('access-view') == false) : ?>
										<?php echo JText::_('MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE'); ?>
									<?php elseif ($readmore = $item->alternative_readmore) : ?>
										<?php echo $readmore; ?>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
											<?php if ($params->get('show_readmore_title', 0) != 0) : ?>
												<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
											<?php endif; ?>
									<?php elseif ($params->get('show_readmore_title', 0) == 0) : ?>
										<?php echo JText::sprintf('MOD_ARTICLES_CATEGORY_READ_MORE_TITLE'); ?>
									<?php else : ?>
										<?php echo JText::_('MOD_ARTICLES_CATEGORY_READ_MORE'); ?>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
									<?php endif; ?>
								</a>
							</p>
						<?php endif; ?>
					</li>
				<?php endforeach; ?>
			</ul>
		</li>
		<?php endforeach; ?>
	<?php else : ?>

		<?php // modificacao a partir deste ponto; ?>
		

		<?php foreach ($list as $key=>$item) : ?>
			<div class="item item-<?=$key?>">

				<div class="mosaic-image">
					<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">		
					<?php $image = json_decode($item->images);?>
					<?php if(!empty($image->{'image_intro'})) : ?>
					<img src="<?=$image->{'image_intro'}?>" alt="<?=$image->{'image_intro_alt'}?>" >
					<?php else: ?>
					<img src="/images/institutional/pattern/images/news.jpg" alt="news" >
					<?php endif; ?>
					</a>
				</div>

				<div class="mosaic-details <?php echo $moduleclass_sfx; ?>">

					<?php if ($item->displayCategoryTitle) : ?>
						<div class="article-category">
							<?php echo $item->displayCategoryTitle; ?>
						</div>
					<?php endif; ?>
					
					<?php if ($params->get('link_titles') == 1) : ?>
						<div class="article-title"><a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a></div>
					<?php else : ?>
						<div class="article-title"><?php echo $item->title; ?></div>
					<?php endif; ?>
					
				
					<div class="article-info">
 						<?php if ($item->displayHits) : ?>
							<div>Acessos: <?php echo $item->displayHits; ?></div>
						<?php endif; ?>

						<?php if ($params->get('show_author')) : ?>
							<div>
								<?php echo $item->displayAuthorName; ?>
							</div>
						<?php endif; ?>

						<?php if ($item->displayDate) : ?>
							<div>
								<?php echo "Publicado em: ".$item->displayDate; ?>
							</div>
						<?php endif; ?>
					</div>


						<?php if ($params->get('show_introtext')) : ?>
						<div class="article-introtext">
							<?php echo strip_tags($item->displayIntrotext); ?>
						</div>
						<?php endif; ?>

					<div>
						<?php if ($params->get('show_tags', 0) && $item->tags->itemTags) : ?>
							<div class="mod-articles-category-tags">
								<?php echo JLayoutHelper::render('joomla.content.tags', $item->tags->itemTags); ?>
							</div>
						<?php endif; ?>	
						
				    
						<?php if ($params->get('show_readmore')) : ?>
							<div class="article-readmore">							
								<a <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
									<?php if ($item->params->get('access-view') == false) : ?>
										<?php echo JText::_('MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE'); ?>
									<?php elseif ($readmore = $item->alternative_readmore) : ?>
										<?php echo $readmore; ?>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
									<?php elseif ($params->get('show_readmore_title', 0) == 0) : ?>
										<?php echo JText::sprintf('MOD_ARTICLES_CATEGORY_READ_MORE_TITLE'); ?>
									<?php else : ?>
										Leia mais...
										<?php // echo JText::_('MOD_ARTICLES_CATEGORY_READ_MORE'); ?>
										<?php // echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
									<?php endif; ?>
								</a>							
							</div>
						<?php endif; ?>
					
						
					</div>
				</div>
			</div>
		<?php endforeach; ?>
	<?php endif; ?>
</div>
