<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 *
 * @copyright   Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

?>


<style>
	.vitrine-articles-content {
		display: grid;
		grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
		grid-gap: 1rem;
		margin-bottom: 20px;
		font-family: Lato, sans-serif;
	}

	.vitrine-item {
		overflow: hidden;	
		position: relative;
		background-color: #A5B8AE;
		display: grid;
		grid-template-rows: 250px 250px 80px;	
	}

	.vitrine-image{
		position: relative;
		border-bottom: 4px solid #fff;
	}

	.vitrine-image img {
		width: 100%;
		height: 250px;
		object-fit: cover;
	}

	.vitrine-description {
		font-size: 1rem;		
		padding: 8px 16px;
		color: #fff;
		border-bottom: 4px solid #fff;		
	}

	.vitrine-description .mod-articles-category-category a {
		position: absolute;
		top: 0px;
		right: 0;
		color: #fff;
		background-color: #708F7F;
		padding: 4px;
	}

	.vitrine-description .mod-articles-category-title {
		font-size: 1.4rem;
		font-weight: bold;
		color: #fff;
		line-height: 1;
	}

	.vitrine-description .mod-articles-category-writtenby, 
	.vitrine-description .mod-articles-category-date {		
		font-size: 1rem;
		font-style: italic;
		color: #ddd;
	}

	.vitrine-description .mod-articles-category-readmore {
		font-size: 1rem;
		position: absolute;
		left: 0;
		top: 0;
		width: 100%;		
		height: 498px;
		margin: 0;
		padding: 0;
		text-align: center;		
		align-items: center;
		transition: all 0.4s ease;
		display: grid;		
		background-color: #33434C;
		opacity: 0;
	}

	.readmore-show{				
		opacity: 0.8 !important;		
	}	

	.vitrine-description .vitrine-info {
		margin: 10px 10px 10px 0;
	}

	.vitrine-description .mod-articles-category-introtext {
		font-size: 1.2rem;
	}

	.vitrine-tags {
		position: absolute;
		top: 0;
		left: 0;
	}

	.vitrine-tags .inline li{   
   		display: block;  
		margin: 0;
		padding: 0;
	}

	.vitrine-tags .inline{   
   		margin: 0;
		padding: 0; 
	}

	.vitrine-tags .label {
		border-radius: 0px;
		text-transform: uppercase;
		font-weight: bold;
		padding: 4px 10px 4px 2px;
	}


	#pathforsearch{
		width: 120px;
	}

	.vitrine-text-readmore {
		color: #fff;
		font-weight: bold;
		font-size: 1.4rem;
	}

	.vitrine-extras {
		display: grid;
		grid-template-columns: repeat(3 , auto);		
		align-items: center;	
		text-align: center;
	}
	

	.vitrine-extra-svg {
		background-color: #fff;
		border-radius: 50%;
		width: 60px;
		height: 60px;
		margin: 0 auto;
		padding: 0;
		display: flex;
    	justify-content: center;
	}

	

	.vitrine-extra-svg svg {
		width: 30px;
		transition: all 0.4s ease;
	}

	a .vitrine-extra-svg svg:hover {
		width: 60px;
	}
	
	.path-extras-0{
		fill: #A5B8AE;
	}

	a .path-extras-0 {
		fill: #355E85;
	}

	a .path-extras-0:hover {
		fill: #8834a0;		
	}
	
	.vitrine-extra-label {
		color: #fff;
		font-weight: bold;
	}

	.vitrine-extras > div:not(:last-child) {
		border-right: 1px solid white;
	}
</style>


<?php //print_r($list); ?>


<div class="<?php echo $moduleclass_sfx; ?> vitrine-articles-content">
	<?php if ($grouped) : ?>
		<?php foreach ($list as $group_name => $group) : ?>
		<li>
			<div class="mod-articles-category-group"><?php echo JText::_($group_name); ?></div>
			<ul>
				<?php foreach ($group as $item) : ?>
					<li>
						<?php if ($params->get('link_titles') == 1) : ?>
							<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
								<?php echo substr($item->title, 0, 100); ?>
							</a>
						<?php else : ?>
							<?php echo $item->title; ?>
						<?php endif; ?>

						<?php if ($item->displayHits) : ?>
							<span class="mod-articles-category-hits">
								(<?php echo $item->displayHits; ?>)
							</span>
						<?php endif; ?>

						<?php if ($params->get('show_author')) : ?>
							<span class="mod-articles-category-writtenby">
								<?php echo $item->displayAuthorName; ?>
							</span>
						<?php endif; ?>

						<?php if ($item->displayCategoryTitle) : ?>
							<span class="mod-articles-category-category">
								<?php echo $item->displayCategoryTitle; ?>
							</span>
						<?php endif; ?>

						<?php if ($item->displayDate) : ?>
							<span class="mod-articles-category-date"><?php echo $item->displayDate; ?></span>
						<?php endif; ?>

						<?php if ($params->get('show_tags', 0) && $item->tags->itemTags) : ?>
							<div class="mod-articles-category-tags">
								<?php echo JLayoutHelper::render('joomla.content.tags', $item->tags->itemTags); ?>
							</div>
						<?php endif; ?>

						<?php if ($params->get('show_introtext')) : ?>
							<p class="mod-articles-category-introtext">
								<?php echo $item->displayIntrotext; ?>
							</p>
						<?php endif; ?>

						<?php if ($params->get('show_readmore')) : ?>
							<p class="mod-articles-category-readmore">
								<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
									<?php if ($item->params->get('access-view') == false) : ?>
										<?php echo JText::_('MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE'); ?>
									<?php elseif ($readmore = $item->alternative_readmore) : ?>
										<?php echo $readmore; ?>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
											<?php if ($params->get('show_readmore_title', 0) != 0) : ?>
												<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
											<?php endif; ?>
									<?php elseif ($params->get('show_readmore_title', 0) == 0) : ?>
										<?php echo JText::sprintf('MOD_ARTICLES_CATEGORY_READ_MORE_TITLE'); ?>
									<?php else : ?>
										<?php echo JText::_('MOD_ARTICLES_CATEGORY_READ_MORE'); ?>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
									<?php endif; ?>
								</a>
							</p>
						<?php endif; ?>
					</li>
				<?php endforeach; ?>
			</ul>
		</li>
		<?php endforeach; ?>
	<?php else : ?>

		<?php foreach ($list as $item) : ?>
				<div class="vitrine-item">
					<div class="vitrine-image">

					<?php 		
						$image = json_decode($item->images); 
						// stdClass Object ( [image_intro] => [float_intro] => [image_intro_alt] => [image_intro_caption] => [image_fulltext] => [float_fulltext] => [image_fulltext_alt] => [image_fulltext_caption] => )			
					?>								
				
					<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
						<img src="<?=$image->image_intro?>" alt="<?=$image->image_intro_alt?>">						
					</a>
					
					</div>


					<div class="vitrine-description">
						<?php if ($params->get('link_titles') == 1) : ?>
							<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">

							<?php if(strlen($item->title) >= 80){								
									echo substr($item->title, 0, strrpos(substr($item->title, 0, 80), ' ')) . ' ...';
								}else{
									echo $item->title;
								}
							?>							
							
							</a>
							
						<?php else : ?>
							<?php if(strlen($item->title) >= 80){								
									echo substr($item->title, 0, strrpos(substr($item->title, 0, 80), ' ')) . ' ...';
								}else{
									echo $item->title;
								}
							?>
						<?php endif; ?>

						
						<?php if ($item->displayHits) : ?>
							<span class="mod-articles-category-hits">
								<?php echo $item->displayHits; ?> | 
							</span>
						<?php endif; ?>
						
						<div class="vitrine-info">						
							<?php if ($params->get('show_author')) : ?>
								<span class="mod-articles-category-writtenby">
									<?php echo $item->displayAuthorName; ?>
								</span> 
							<?php endif; ?>

							<?php if ($item->displayCategoryTitle) : ?>
								<span class="mod-articles-category-category">
									<?php echo $item->displayCategoryTitle; ?>
								</span>
							<?php endif; ?>

							<?php if ($item->displayDate) : ?>
								<span class="mod-articles-category-date">
									<?php echo $item->displayDate; ?>
								</span>
							<?php endif; ?>
						</div>

						<?php if ($params->get('show_tags', 0) && $item->tags->itemTags) : ?>
							<div class="vitrine-tags">
								<?php echo JLayoutHelper::render('joomla.content.tags', $item->tags->itemTags); ?>
							</div>
						<?php endif; ?>

						<?php if ($params->get('show_introtext')) : ?>
							<p class="mod-articles-category-introtext">
								<?php echo $item->displayIntrotext; ?>
							</p>
						<?php endif; ?>

						<?php if ($params->get('show_readmore')) : ?>
							<p class="mod-articles-category-readmore">

								<a class="<?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
								<svg version="1.1" id="pathforsearch" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
									viewBox="0 0 400 400" style="enable-background:new 0 0 400 400;" xml:space="preserve">
								<style type="text/css">
									.path-search-0{fill:none;}
									.path-search-1{fill:#fff;}
								</style>
								<path class="path-search-1" d="M264.52,116.77c-4.02-4.45-7.97-9.32-12.44-13.67c-16.44-16.01-36.12-26.37-58.28-31.73c-39.45-9.54-77.13-5.1-112.35,15.77
									c-12.51,7.41-23.17,17.01-31.89,28.71c-0.28,0.37-0.57,0.72-0.99,1.25c10.01-31.18,42.62-67.88,91.87-74.64
									C196.73,34.73,246.91,68.19,264.52,116.77z"/>
								<path class="path-search-0" d="M156.48,21.33C82,21.26,21.24,81.95,21.26,156.38c0.03,74.72,60.55,135.29,135.17,135.28
									c74.71-0.01,135.15-60.47,135.2-135.23C291.68,81.96,231.1,21.4,156.48,21.33z"/>
								<path  class="path-search-1" d="M395.17,367.04c2.08-3.93,2.97-8.49,4.41-12.76c0.12-0.37,0.28-0.72,0.42-1.08c0-1.73,0-3.47,0-5.2
									c-0.73-4.44-3.62-7.28-6.9-10.09c-30.73-26.31-61.37-52.72-92.04-79.1c-0.55-0.47-1.08-0.97-1.49-1.34c1.09-2.97,2.47-5.75,3.1-8.68
									c1.68-7.74-0.02-14.83-5.11-20.96c-0.98-1.18-0.94-2.01-0.31-3.31c11.49-23.75,16.79-48.86,15.37-75.17
									c-2.46-45.56-21.16-83.37-55.99-112.82c-26.5-22.4-57.41-34.25-92.08-36.17c-0.72-0.04-1.43-0.24-2.14-0.36c-4,0-8,0-12,0
									c-2.64,0.26-5.28,0.53-7.92,0.77c-31.68,2.92-59.98,14.28-84.6,34.4c-29.09,23.78-47.4,54.24-54.81,91.09
									c-1.39,6.9-1.82,13.99-2.69,20.99c-0.1,0.78-0.25,1.56-0.38,2.34c0,4.53,0,9.07,0,13.6c0.39,3.89,0.72,7.8,1.2,11.68
									c4.12,33.98,17.8,63.58,41.2,88.51c24.55,26.16,54.71,42.15,90.18,47.62c31.96,4.93,62.66,0.3,91.87-13.7
									c1.42-0.68,2.34-0.75,3.65,0.36c7.21,6.11,18.73,7.96,29.15,1.56c0.53,0.59,1.1,1.2,1.64,1.83c26.86,31.22,53.74,62.44,80.56,93.7
									c2.22,2.59,4.68,4.49,8.13,5.14c-0.48,0.02-0.96,0.06-1.44,0.08h7.07C372.61,395.53,386.16,384.05,395.17,367.04z M156.43,291.66
									C81.81,291.67,21.29,231.1,21.26,156.38C21.24,81.95,82,21.26,156.48,21.33c74.62,0.07,135.2,60.63,135.15,135.1
									C291.58,231.19,231.13,291.64,156.43,291.66z"/>
								</svg>
								
								<br>

								<span class="vitrine-text-readmore">
									<?php if ($item->params->get('access-view') == false) : ?>
										<?php echo JText::_('MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE'); ?>
									<?php elseif ($readmore = $item->alternative_readmore) : ?>
										<?php echo $readmore; ?>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
									<?php elseif ($params->get('show_readmore_title', 0) == 0) : ?>
										<?php echo JText::sprintf('MOD_ARTICLES_CATEGORY_READ_MORE_TITLE'); ?>
									<?php else : ?>
										Veja na Íntegra<br>
										<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
									<?php endif; ?>
								</span>
								</a>
							</p>
						<?php endif; ?>
					</div>

					<div class="vitrine-extras">

					<?php $urls  = json_decode($item->urls);
					//print_r($urls);
					//[urls] => {"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}
					?>
					

						<div class="vitrine-contact">
							<?php if($urls->urla) : ?>
							<a href="<?=$urls->urla?>" target="_blank"> 
							<?php endif; ?>						
								<div class="vitrine-extra-svg">
									<svg version="1.1" id="pathforcontact" focusable="false" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
										x="0px" y="0px" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
									<path class="path-extras-0" d="M502.3,190.8c3.9-3.1,9.7-0.2,9.7,4.7V400c0,26.5-21.5,48-48,48H48c-26.5,0-48-21.5-48-48V195.6c0-5,5.7-7.8,9.7-4.7
										c22.4,17.4,52.1,39.5,154.1,113.6c21.1,15.4,56.7,47.8,92.2,47.6c35.7,0.3,72-32.8,92.3-47.6C450.3,230.4,479.9,208.2,502.3,190.8z
										M256,320c23.2,0.4,56.6-29.2,73.4-41.4c132.7-96.3,142.8-104.7,173.4-128.7c5.8-4.5,9.2-11.5,9.2-18.9v-19c0-26.5-21.5-48-48-48H48
										C21.5,64,0,85.5,0,112v19c0,7.4,3.4,14.3,9.2,18.9c30.6,23.9,40.7,32.4,173.4,128.7C199.4,290.8,232.8,320.4,256,320L256,320z"/>
									</svg>
								</div>
							<?php if($urls->urla) : ?>
							</a>
							<?php endif; ?>									
						</div>

						<div class="vitrine-video">
							<?php if($urls->urlb) : ?>
							<a href="<?=$urls->urlb?>" target="_blank"> 
							<?php endif; ?>
								<div class="vitrine-extra-svg">
									<svg version="1.1" id="pathforvideo" focusable="false" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
										x="0px" y="0px" viewBox="0 0 576 512" style="enable-background:new 0 0 576 512;" xml:space="preserve">
									<path class="path-extras-0" d="M336.2,64H47.8C21.4,64,0,85.4,0,111.8v288.4C0,426.6,21.4,448,47.8,448h288.4c26.4,0,47.8-21.4,47.8-47.8V111.8
										C384,85.4,362.6,64,336.2,64L336.2,64z M525.6,101.7L416,177.3v157.4l109.6,75.5c21.2,14.6,50.4-0.3,50.4-25.8V127.5
										C576,102.1,546.9,87.1,525.6,101.7z"/>
									</svg>
								</div>
							<?php if($urls->urlb) : ?>
							</a>
							<?php endif; ?>							
						</div>

						<div class="vitrine-media">
							<?php if($urls->urlc) : ?>
							<a href="<?=$urls->urlc?>" target="_blank"> 
							<?php endif; ?>
														
								<div class="vitrine-extra-svg">
									<svg version="1.1" id="pathformedia" focusable="false" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
										x="0px" y="0px" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
									<path class="path-extras-0" d="M216,0h80c13.3,0,24,10.7,24,24v168h87.7c17.8,0,26.7,21.5,14.1,34.1L269.7,378.3c-7.5,7.5-19.8,7.5-27.3,0L90.1,226.1
										c-12.6-12.6-3.7-34.1,14.1-34.1H192V24C192,10.7,202.7,0,216,0z M512,376v112c0,13.3-10.7,24-24,24H24c-13.3,0-24-10.7-24-24V376
										c0-13.3,10.7-24,24-24h146.7l49,49c20.1,20.1,52.5,20.1,72.6,0l49-49H488C501.3,352,512,362.7,512,376z M388,464c0-11-9-20-20-20
										s-20,9-20,20s9,20,20,20S388,475,388,464z M452,464c0-11-9-20-20-20s-20,9-20,20s9,20,20,20S452,475,452,464z"/>
									</svg>	
								</div>
							<?php if($urls->urlc) : ?>
							</a>
							<?php endif; ?>		
							<!-- caso solicitar texto					
							<div class="vitrine-extra-label">Download</div>
							-->
						</div>
					</div>


				</div>				
		<?php endforeach; ?>
	<?php endif; ?>
</div>


<script>
var readmoreFields = document.querySelectorAll(".mod-articles-category-readmore");

readmoreFields.forEach(function(data){
	data.addEventListener("mouseover", function(){		
		data.classList.add("readmore-show");
	});
});


readmoreFields.forEach(function(data){
	data.addEventListener("mouseleave", function(){		
		data.classList.remove("readmore-show");
	});
});



</script>
